Bug 506349 - Fedora 11 regression: power management oops on Thinkpad R52
Fedora 11 regression: power management oops on Thinkpad R52
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 15:28 EDT by Dan Kenigsberg
Modified: 2010-06-28 09:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2009-06-16 15:28:03 EDT
Description of problem:
With Fedora 10 I could suspend/hibernate laptop properly. With Fedora 11, suspend/resume works only once - second suspension cannot be resumed.

Version-Release number of selected component (if applicable):
$ uname -a
Linux csdan 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux


from /var/log/messages:

Jun 16 04:15:20 csdan NetworkManager: <info>  Sleeping...
Jun 16 04:15:20 csdan NetworkManager: <info>  (eth0): now unmanaged
Jun 16 04:15:20 csdan NetworkManager: <info>  (eth0): device state change: 2 -> 1
Jun 16 04:15:20 csdan NetworkManager: <info>  (eth0): cleaning up...
Jun 16 04:15:20 csdan NetworkManager: <info>  (eth0): taking down device.
Jun 16 04:15:21 csdan NetworkManager: <info>  (eth1): now unmanaged
Jun 16 04:15:21 csdan NetworkManager: <info>  (eth1): device state change: 8 -> 1
Jun 16 04:15:21 csdan NetworkManager: <info>  (eth1): deactivating device (reason: 37).
Jun 16 04:15:21 csdan kernel: tg3 0000:02:00.0: PME# enabled
Jun 16 04:15:21 csdan NetworkManager: <info>  eth1: canceled DHCP transaction, dhcp client pid 2428
Jun 16 04:15:22 csdan NetworkManager: nm_system_add_ip4_vpn_gateway_route: assertion `parent_config != NULL' failed
Jun 16 04:15:22 csdan NetworkManager: <info>  (eth1): cleaning up...
Jun 16 04:15:22 csdan NetworkManager: <info>  (eth1): taking down device.
Jun 16 04:15:23 csdan avahi-daemon[1781]: Withdrawing address record for 10.0.0.1 on eth1.
Jun 16 04:15:23 csdan avahi-daemon[1781]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.0.0.1.
Jun 16 04:15:23 csdan avahi-daemon[1781]: Interface eth1.IPv4 no longer relevant for mDNS.
Jun 16 04:15:23 csdan avahi-daemon[1781]: Withdrawing address record for fe80::212:f0ff:fedd:d39c on eth1.
Jun 16 04:15:23 csdan vpnc[2598]: select: Interrupted system call
Jun 16 04:15:23 csdan vpnc[2598]: terminated by signal: 15
Jun 16 04:15:26 csdan ntpd[1735]: Deleting interface #4 eth1, fe80::212:f0ff:fedd:d39c#123, interface stats: received=0, sent
Jun 16 04:15:26 csdan ntpd[1735]: Deleting interface #5 eth1, 10.0.0.1#123, interface stats: received=1, sent=1, dropped=0, a
Jun 16 04:15:26 csdan ntpd[1735]: Deleting interface #6 tun0, 10.32.10.17#123, interface stats: received=0, sent=121, dropped
Jun 16 04:15:26 csdan kernel: PM: Syncing filesystems ... done.


Jun 16 22:12:33 csdan kernel: Freezing user space processes ... (elapsed 0.09 seconds) done.
Jun 16 22:12:33 csdan kernel: Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Jun 16 22:12:33 csdan kernel: Suspending console(s) (use no_console_suspend to debug)
Jun 16 22:12:33 csdan kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jun 16 22:12:33 csdan kernel: sd 0:0:0:0: [sda] Stopping disk
Jun 16 22:12:33 csdan kernel: nsc-ircc 00:0c: disabled
Jun 16 22:12:33 csdan kernel: parport_pc 00:0b: disabled
Jun 16 22:12:33 csdan kernel: serial 00:0a: disabled
Jun 16 22:12:33 csdan kernel: eth1: Going into suspend...
Jun 16 22:12:33 csdan kernel: ipw2200 0000:04:02.0: PCI INT A disabled
Jun 16 22:12:33 csdan kernel: Intel ICH Modem 0000:00:1e.3: PCI INT B disabled
Jun 16 22:12:33 csdan kernel: Intel ICH 0000:00:1e.2: PCI INT A disabled
Jun 16 22:12:33 csdan kernel: ehci_hcd 0000:00:1d.7: PCI INT D disabled
Jun 16 22:12:33 csdan kernel: ehci_hcd 0000:00:1d.7: PME# disabled
Jun 16 22:12:33 csdan kernel: ehci_hcd 0000:00:1d.7: power state changed by ACPI to D3
Jun 16 22:12:33 csdan kernel: uhci_hcd 0000:00:1d.3: PCI INT D disabled
Jun 16 22:12:33 csdan kernel: uhci_hcd 0000:00:1d.2: PCI INT C disabled
Jun 16 22:12:33 csdan kernel: uhci_hcd 0000:00:1d.1: PCI INT B disabled
Jun 16 22:12:33 csdan kernel: uhci_hcd 0000:00:1d.0: PCI INT A disabled
Jun 16 22:12:33 csdan kernel: [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 0
Jun 16 22:12:33 csdan kernel: i915 0000:00:02.0: PCI INT A disabled
Jun 16 22:12:33 csdan kernel: i915 0000:00:02.0: power state changed by ACPI to D3
Jun 16 22:12:33 csdan kernel: ACPI: Preparing to enter system sleep state S3
Jun 16 22:12:33 csdan kernel: Disabling non-boot CPUs ...
Jun 16 22:12:33 csdan kernel: Extended CMOS year: 2000
Jun 16 22:12:33 csdan kernel: BUG: sleeping function called from invalid context at kernel/workqueue.c:440
Jun 16 22:12:33 csdan kernel: in_atomic(): 0, irqs_disabled(): 1, pid: 4761, name: pm-suspend
Jun 16 22:12:33 csdan kernel: Pid: 4761, comm: pm-suspend Not tainted 2.6.29.4-167.fc11.i586 #1
Jun 16 22:12:33 csdan kernel: Call Trace:
Jun 16 22:12:33 csdan kernel: [<c0428586>] __might_sleep+0xe5/0xea
Jun 16 22:12:33 csdan kernel: [<c043db4e>] flush_work+0x1f/0x96
Jun 16 22:12:33 csdan kernel: [<c0707e14>] ? _spin_unlock_irqrestore+0x27/0x3d
Jun 16 22:12:33 csdan kernel: [<c043dd35>] ? __queue_work+0x2f/0x34
Jun 16 22:12:33 csdan kernel: [<c043ddf3>] work_on_cpu+0x41/0x4b
Jun 16 22:12:33 csdan kernel: [<c043d39e>] ? do_work_for_cpu+0x0/0x17
Jun 16 22:12:33 csdan kernel: [<e09cb451>] ? do_drv_read+0x0/0x45 [acpi_cpufreq]
Jun 16 22:12:33 csdan kernel: [<e09cb38e>] get_cur_val+0x9f/0xc4 [acpi_cpufreq]
Jun 16 22:12:33 csdan kernel: [<e09cb40f>] get_cur_freq_on_cpu+0x5c/0x9e [acpi_cpufreq]
Jun 16 22:12:33 csdan kernel: [<c0662fd3>] ? cpufreq_cpu_get+0x78/0x9b
Jun 16 22:12:33 csdan kernel: [<c06631bf>] cpufreq_suspend+0xa7/0x11d
Jun 16 22:12:33 csdan kernel: [<c05de0aa>] sysdev_suspend+0x42/0x15b
Jun 16 22:12:33 csdan kernel: [<c0451faa>] suspend_devices_and_enter+0xf3/0x186
Jun 16 22:12:33 csdan kernel: [<c04521a0>] enter_state+0x13c/0x197
Jun 16 22:12:33 csdan kernel: [<c0452294>] state_store+0x99/0xae
Jun 16 22:12:33 csdan kernel: [<c04521fb>] ? state_store+0x0/0xae
Jun 16 22:12:33 csdan kernel: [<c055af0d>] kobj_attr_store+0x16/0x22
Jun 16 22:12:33 csdan kernel: [<c04deae6>] sysfs_write_file+0xca/0xf5
Jun 16 22:12:33 csdan kernel: [<c04dea1c>] ? sysfs_write_file+0x0/0xf5
Jun 16 22:12:33 csdan kernel: [<c04a1038>] vfs_write+0x95/0xf4
Jun 16 22:12:33 csdan kernel: [<c04a1153>] sys_write+0x4c/0x70
Jun 16 22:12:33 csdan kernel: [<c0403f72>] syscall_call+0x7/0xb
Jun 16 22:12:33 csdan kernel: Intel machine check architecture supported.
Jun 16 22:12:33 csdan kernel: Intel machine check reporting enabled on CPU#0.
Jun 16 22:12:33 csdan kernel: Extended CMOS year: 2000
Jun 16 22:12:33 csdan kernel: ------------[ cut here ]------------
Jun 16 22:12:33 csdan kernel: WARNING: at kernel/hrtimer.c:625 hres_timers_resume+0x34/0x4a() (Not tainted)
Jun 16 22:12:34 csdan kernel: Hardware name: 185869G
Jun 16 22:12:34 csdan kernel: hres_timers_resume() called with IRQs enabled!Modules linked in: tun arc4 ecb lib80211_crypt_we
Jun 16 22:12:34 csdan kernel: Pid: 4761, comm: pm-suspend Not tainted 2.6.29.4-167.fc11.i586 #1
Jun 16 22:12:34 csdan kernel: Call Trace:
Jun 16 22:12:34 csdan kernel: [<c042f2f2>] warn_slowpath+0x7c/0xa4
Jun 16 22:12:34 csdan kernel: [<c044375e>] ? ktime_get_ts+0x4f/0x53
Jun 16 22:12:34 csdan kernel: [<c041463f>] ? lapic_next_event+0x18/0x1c
Jun 16 22:12:34 csdan kernel: [<c04493ef>] ? clockevents_program_event+0xe6/0xf5
Jun 16 22:12:34 csdan kernel: [<c044a279>] ? tick_dev_program_event+0x47/0xb4
Jun 16 22:12:34 csdan kernel: [<c044a346>] ? tick_program_event+0x26/0x2e
Jun 16 22:12:34 csdan kernel: [<c0449899>] ? tick_notify+0x2e5/0x2f4
Jun 16 22:12:34 csdan kernel: [<c041a658>] ? hpet_resume_counter+0x0/0x51
Jun 16 22:12:34 csdan kernel: [<c0709f97>] ? notifier_call_chain+0x26/0x48
Jun 16 22:12:34 csdan kernel: [<c04430be>] hres_timers_resume+0x34/0x4a
Jun 16 22:12:34 csdan kernel: [<c0447455>] timekeeping_resume+0x130/0x137
Jun 16 22:12:34 csdan kernel: [<c05ddf41>] __sysdev_resume+0x19/0x3d
Jun 16 22:12:34 csdan kernel: [<c05ddf8b>] sysdev_resume+0x26/0x59
Jun 16 22:12:34 csdan kernel: [<c0451fc9>] suspend_devices_and_enter+0x112/0x186
Jun 16 22:12:34 csdan kernel: [<c04521a0>] enter_state+0x13c/0x197
Jun 16 22:12:34 csdan kernel: [<c0452294>] state_store+0x99/0xae
Jun 16 22:12:34 csdan kernel: [<c04521fb>] ? state_store+0x0/0xae
Jun 16 22:12:34 csdan kernel: [<c055af0d>] kobj_attr_store+0x16/0x22
Jun 16 22:12:34 csdan kernel: [<c04deae6>] sysfs_write_file+0xca/0xf5
Jun 16 22:12:34 csdan kernel: [<c04dea1c>] ? sysfs_write_file+0x0/0xf5
Jun 16 22:12:34 csdan kernel: [<c04a1038>] vfs_write+0x95/0xf4
Jun 16 22:12:34 csdan kernel: [<c04a1153>] sys_write+0x4c/0x70
Jun 16 22:12:34 csdan kernel: [<c0403f72>] syscall_call+0x7/0xb
Jun 16 22:12:34 csdan kernel: ---[ end trace fb0cb2abd600d712 ]---
Jun 16 22:12:34 csdan kernel: ACPI: Waking up from system sleep state S3
Jun 16 22:12:34 csdan kernel: ACPI: EC: non-query interrupt received, switching to interrupt mode
Jun 16 22:12:34 csdan kernel: i915 0000:00:02.0: power state changed by ACPI to D0
Jun 16 22:12:34 csdan kernel: i915 0000:00:02.0: power state changed by ACPI to D0
Jun 16 22:12:34 csdan kernel: i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jun 16 22:12:34 csdan kernel: [drm] LVDS-8: set mode 1024x768 13
Jun 16 22:12:34 csdan kernel: pci 0000:00:02.1: PME# disabled
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.0: power state changed by ACPI to D0
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jun 16 22:12:34 csdan kernel: usb usb2: root hub lost power or was reset
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.1: power state changed by ACPI to D0
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Jun 16 22:12:34 csdan kernel: usb usb3: root hub lost power or was reset
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
Jun 16 22:12:34 csdan kernel: usb usb4: root hub lost power or was reset
Jun 16 22:12:34 csdan kernel: uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
Jun 16 22:12:34 csdan kernel: usb usb5: root hub lost power or was reset
Jun 16 22:12:34 csdan kernel: ehci_hcd 0000:00:1d.7: PME# disabled
Jun 16 22:12:34 csdan kernel: ehci_hcd 0000:00:1d.7: power state changed by ACPI to D0
Jun 16 22:12:34 csdan kernel: ehci_hcd 0000:00:1d.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
Jun 16 22:12:34 csdan kernel: ehci_hcd 0000:00:1d.7: PME# disabled
Jun 16 22:12:34 csdan kernel: Intel ICH 0000:00:1e.2: PCI INT A -> GSI 22 (level, low) -> IRQ 22
Jun 16 22:12:34 csdan kernel: Intel ICH Modem 0000:00:1e.3: PCI INT B -> GSI 23 (level, low) -> IRQ 23
Jun 16 22:12:34 csdan kernel: ata2.00: ACPI cmd ef/03:42:00:00:00:a0 filtered out
Jun 16 22:12:34 csdan kernel: ata2.00: ACPI cmd ef/03:0c:00:00:00:a0 filtered out
Jun 16 22:12:34 csdan kernel: ata2.00: configured for UDMA/33
Jun 16 22:12:34 csdan kernel: eth1: Coming out of suspend...
Jun 16 22:12:34 csdan kernel: firewire_core: skipped bus generations, destroying all nodes
Jun 16 22:12:34 csdan kernel: ipw2200 0000:04:02.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
Jun 16 22:12:34 csdan kernel: serial 00:0a: activated
Jun 16 22:12:34 csdan kernel: parport_pc 00:0b: activated
Jun 16 22:12:34 csdan kernel: nsc-ircc 00:0c: activated
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] Starting disk
Jun 16 22:12:34 csdan kernel: firewire_core: rediscovered device fw0
Jun 16 22:12:34 csdan kernel: ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
Jun 16 22:12:34 csdan kernel: ata1.00: ACPI cmd ef/03:45:00:00:00:a0 filtered out
Jun 16 22:12:34 csdan kernel: ata1.00: ACPI cmd ef/03:0c:00:00:00:a0 filtered out
Jun 16 22:12:34 csdan kernel: ata1.00: configured for UDMA/100
Jun 16 22:12:34 csdan kernel: ata1.00: configured for UDMA/100
Jun 16 22:12:34 csdan kernel: ata1: EH complete
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] 156368016 512-byte hardware sectors: (80.0 GB/74.5 GiB)
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] Write Protect is off
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] 156368016 512-byte hardware sectors: (80.0 GB/74.5 GiB)
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] Write Protect is off
Jun 16 22:12:34 csdan kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jun 16 22:12:34 csdan kernel: Restarting tasks ... done.
Jun 16 22:12:34 csdan kernel: hub 3-0:1.0: over-current change on port 1
Jun 16 22:12:34 csdan kernel: hub 3-0:1.0: over-current change on port 2
Jun 16 22:12:35 csdan NetworkManager: <info>  Waking up...
Comment 1 Jesus M. Rodriguez 2009-07-08 21:01:52 EDT
Same issue here on a Thinkpad T43

http://www.kerneloops.org/submitresult.php?number=523665
Comment 2 Dan Kenigsberg 2009-08-18 15:52:06 EDT
still happens with 2.6.29.6-217.2.3.fc11.i586
Comment 3 Bug Zapper 2010-04-27 10:59:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jesus M. Rodriguez 2010-05-22 00:27:34 EDT
I've gotten rid of the T43 and no longer use Fedora 11 on it.
Comment 5 Bug Zapper 2010-06-28 09:04:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.